<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
		   <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td align="center" class="amenu" style="padding-top:6px;padding-left:6px;padding-right:6px;">
<a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a><br/>
<img src="images/bullet.gif" border="0" style="padding-top:4px"/></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td align="center" class="amenu" style="padding-top:6px;padding-left:6px;padding-right:6px;">
<span class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span><br/>
<img src="images/bullet.gif" style="padding-top:4px"/></td>
            </xsl:when>
            <xsl:otherwise>
<td align="center" class="amenu" style="padding-top:6px;padding-left:6px;padding-right:6px;">
<a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a><br/>
<img src="images/bullet.gif" border="0" style="padding-top:4px"/></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
<td align="right" style="width: 3px;"><img src="images/av234_12.gif" width="3" height="58"/></td>
	</xsl:if>
	</xsl:template>	
</xsl:stylesheet>
