<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg">
  <tr>
    <td width="238" align="center" valign="top">
      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td background="images/bg02.gif" bgcolor="#FFFFFF">
	  <table width="238"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="10" class="main-bg"></td>
        </tr>
        <tr>
          <td><img src="images/logoline.jpg" width="238" height="4"/></td>
        </tr>
      </table>
        <table width="100%" height="156" border="0" align="center" cellpadding="0" cellspacing="0" >
          <tr>
            <td style="padding:8px">        
				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
				  <tr>
					<td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
				  </tr>
				  <tr>
					<td align="center" class="company" style="padding:5px 0"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
				  </tr>
				  <tr>
					<td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
				  </tr>
			  </table>
		  </td>
          </tr>
      </table>
		<table width="238"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/logoline.jpg" width="238" height="4"/></td>
        </tr>
      </table>
		  </td>
        </tr>
        <tr>
          <td height="100%" style="padding:1px 1px 0px 0px" valign="top">
	  <table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" valign="top" class="border1">
		<table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="right" style="padding-top:20px;padding-bottom:20px">
<table width="200"  border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="TOP-MENU"/>
</table>
			  </td>
            </tr>
        </table>
		</td>
      </tr>
      <tr>
        <td align="left" valign="top" class="border1">
		<table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="center" valign="top" style="padding-top:10px;padding-bottom:10px">
<table width="165" border="0" cellspacing="0" cellpadding="0">
				<xsl:call-template name="SUB-MENU">
				<xsl:with-param name="pageID" select="@ID"/>
				</xsl:call-template>
</table>
			  </td>
            </tr>
        </table>
		</td>
      </tr>
    </table>
		  </td>
        </tr>
      </table>	
	</td>
    <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" class="border3">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="left" background="images/header02.jpg" width="100%" height="219"><img src="images/header01.jpg" width="501" height="219"/></td>
    <td width="4"><img src="images/header03.jpg" width="4" height="219"/></td>
  </tr>
  <tr>
    <td align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td style="padding: 25px;"><table cellpadding="0" cellspacing="0" border="0" style="margin-bottom:10px">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </td>
                <td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
              </tr>
            </table>
              <table border="0" cellspacing="0" cellpadding="0" width="100%">
                <tr>
                  <td class="pageContent" name="SB_stretch" width="100%" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                </tr>
            </table></td>
        </tr>
    </table></td>
    <td></td>
  </tr>
</table>
	</td>
    <td width="30" valign="top">
	  <table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="174" background="images/bg03.gif">
	<table width="30"  height="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="10" class="main-bg"></td>
        </tr>
        <tr>
          <td height="4" background="images/logoline.jpg"></td>
        </tr>
        <tr>
          <td height="100%"></td>
        </tr>
        <tr>
          <td height="4" background="images/logoline.jpg"></td>
        </tr>
    </table>
		  </td>
        </tr>
        <tr>
          <td height="100%" style="padding:1px 0px 0px 1px">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="border2">
        <tr>
          <td valign="top" background="images/bg01.gif"></td>
        </tr>
    </table>
		  </td>
        </tr>
      </table>
	</td>
  </tr>
  <tr>
    <td colspan="3" height="91">
	<table width="100%" height="91"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td align="center" background="images/foot_bg.gif">
		  <table border="0" cellspacing="0" cellpadding="0" style="margin-bottom :10px">
              <tr>
			  <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
              <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
        </tr>
    </table>
	</td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td width="25"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
<td width="140" style="padding:5px" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td width="25"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
<td width="140" style="padding:5px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="1" background="images/submenu_bg.gif"></td>
<td height="1" background="images/submenu_bg.gif"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td style="padding:0 10px 0 30px;"><img src="images/foot_pic.gif" width="7" height="7"/></td>
<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td style="padding:0 10px 0 30px;"><img src="images/foot_pic.gif" width="7" height="7"/></td>
<td class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td style="padding:0 10px 0 30px;"><img src="images/foot_pic.gif" width="7" height="7"/></td>
<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">


  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
