<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<tr>
<td height="30"><img src="images/003.gif" width="8" height="30"/></td>
<td width="190" background="images/003_1.gif" class="menu"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="22" background="images/003_1.gif" class="aa"><img src="images/bullet.gif" /></td>
</tr>
<tr>
<td height="1" bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
</tr>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<tr>
<td height="30"><img src="images/003.gif" width="8" height="30"/></td>
<td width="190" background="images/003_1.gif" class="menu"><span class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="22" background="images/003_1.gif" class="aa"><img src="images/bullet.gif" /></td>
</tr>
<tr>
<td height="1" bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
</tr>
            </xsl:when>
            <xsl:otherwise>
<tr>
<td height="30"><img src="images/003.gif" width="8" height="30"/></td>
<td width="190" background="images/003_1.gif" class="menu"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="22" background="images/003_1.gif" class="aa"><img src="images/bullet.gif" /></td>
</tr>
<tr>
<td height="1" bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
</tr>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
