<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td background="images/001.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="56" background="images/002.gif" style="background-position:top left;background-repeat:no-repeat;"></td>
            <td background="images/002_1.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="232"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" background="images/002_3.gif" style="background-position:top right;background-repeat:no-repeat;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="50" valign="bottom" style="padding-right:60px;padding-top:10px;">
					 <!-- MENU -->
					<table  border="0" align="center" cellpadding="0" cellspacing="0" height="50">
                      <tr>
                        <td width="10"></td>
						 <xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table> <!-- END MENU --></td>
                  </tr>
                  <tr>
                    <td height="182"><table width="100%" height="182"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="195" style="padding-top:45px;"><!-- LOGO -->
						
						<table width="195" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td><table width="190" border="0" align="center" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td width="55" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                                    <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                                  </tr>
                                  <tr>
                                    <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                                  </tr>
                                </table></td>
                              </tr>
                            </table>
										
						
						<!-- END LOGO --></td>
                        <td valign="bottom" style="padding-right:30px;"><div align="right">
                          <table width="100%"  border="0" align="right" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="100%" background="images/header1.gif"></td>
                              <td width="492" align="right" valign="bottom"><img src="images/header.gif"/></td>
                            </tr>
                          </table>
                        </div></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" valign="top" background="images/d1.gif" style="background-position:left bottom;background-repeat:no-repeat;padding-left:34px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            
            <td width="193" valign="top" style="padding-right:24px;" ><table width="193" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td><img src="images/003_1.gif" width="193" height="8"/></td>
                </tr>
                <tr>
                  <td valign="top" bgcolor="#ECEDEF" style="border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-right-style: solid;
	border-left-style: solid;
	border-top-color: #FEFEFF;
	border-right-color: #FEFEFF;
	border-left-color: #FEFEFF;	padding-top:20px;padding-bottom:30px;">
	<!-- SUBMENU -->
	<table width="140" border="0" align="center" cellpadding="0" cellspacing="0">
                      <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </table><!-- END SUBMENU --></td>
                </tr>
                <tr>
                  <td><img src="images/003.gif" width="193" height="38"/></td>
                </tr>
            </table></td>
           
            <td height="100%" valign="top"><table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="8" background="images/003_1.gif" style="background-position:center;background-repeat:repeat-x;"></td>
                </tr>
                <tr>
                  <td valign="top" height="100%"><!-- CONTENT --><table width="100%"  height="100%" border="0" cellpadding="0" cellspacing="0" class="pageContent">
                      <tr>
                        <td bgcolor="#ECEDEF" style="padding:20px;" valign="top" height="100%"><table  border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                              <td><img src="images/004.gif" width="17" height="17"/></td>
                            </tr>
                          </table>
                            <br/>
                 <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
                      </tr>
                  </table><!-- END CONTENT --></td>
                </tr>
                <tr>
                  <td>
                      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td width="100%" background="images/003_3.gif"></td>
                          <td width="495"><div align="right"><img src="images/003_2.gif" width="495" height="65"/></div></td>
                        </tr>
                      </table>
                  </td>
                </tr>
                <tr>
                 
                </tr>
            </table></td>
            <td width="35"><div style="width:34px"></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" valign="top"  style="padding-top:20px;padding-bottom:20px;">
		<!-- FOOTER -->
		<table border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table><!-- END FOOTER --></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="s1"><img src="images/005_1.gif" width="6" height="5"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td class="s1"><img src="images/005_1.gif" width="6" height="5"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/005.gif" width="143" height="20"/></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >



	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >



           </xsl:when>
           <xsl:otherwise>



	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">



  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
