<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td style="width:69px; height:77px;"></td>
    <td rowspan="5" background="images/line_s.gif" style="width:1px;"></td>
    <td align="left">
<!-- LOGO -->
              <table cellpadding="0" cellspacing="0">
                <tr>
                  <td align="right" style="width:60px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td align="left" style="padding:20px;"><span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></td>
                  <td align="center" background="images/line_s.gif"  style="width:1px;"></td>
                  <td align="left" style="padding:20px;"><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
                </tr>
              </table>
<!-- END LOGO --></td>
    <td rowspan="5" background="images/line_s.gif" style="width:1px;"></td>
    <td style="width:69px; height:77px;"></td>
  </tr>
  <tr>
    <td background="images/line_h.gif" style="height:1px;"></td>
    <td background="images/line_h.gif" style="height:1px;"></td>
    <td background="images/line_h.gif" style="height:1px;"></td>
  </tr>
  <tr>
    <td></td>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="1">
      <tr>
        <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="3" bgcolor="#FFFFFF">
          <tr>
            <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="1" bgcolor="#CCCCCC">
              <tr>
                <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                  <tr>
                    <td height="58" align="center" valign="top" style="padding:0 20px 0 20px;background-image:url(images/av234_10.gif);height:58px">
<!-- MENU -->
						<table height="100%" cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
<!-- END MENU -->					</td>
                  </tr>
                  <tr>
                    <td align="left" valign="top" bgcolor="#CCCCCC" style="width:100%; height:1px;"></td>
                  </tr>
                  <tr>
                    <td height="178" align="left" valign="top">
					  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="1">
                      <tr>
                        <td align="left" valign="top" background="images/headerbg.jpg"><img src="images/header.jpg" width="661" height="176"/></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td align="left" valign="top" bgcolor="#CCCCCC" style="width:100%; height:1px;"></td>
                  </tr>
                  <tr>
                    <td height="100%" align="left" valign="top">
					    <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                         <tr>
                            <td valign="top" style="width:154px; padding:20px;">
							  <table cellpadding="0" cellspacing="0" width="134" align="center">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                              </table></td>
                            <td bgcolor="#CCCCCC" style="width:1px;"></td>
                            <td height="100%" align="left" valign="top">
						  <table height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td height="100%" valign="top" bgcolor="#FFFFFF" class="pageContent" style="padding: 25px;">
<!-- CONTENT -->
                                   <table cellpadding="0" cellspacing="0" border="0">
                                      <tr>
                                         <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                         <td style="padding-left: 5px;"><img src="images/av234_25.gif" alt="" width="17" height="17" border="0"/></td>
                                      </tr>
                                   </table> <div style="width:0px; height:15px;"><span></span></div>
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%">
<tr>
<td class="pageContent" name="SB_stretch">
<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
 <!-- END CONTENT -->                                </td>
                           </tr>
                         </table>						   </td>
              </tr>
            </table>					</td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td></td>
  </tr>
  <tr>
    <td background="images/line_h.gif" style="height:1px;"></td>
    <td background="images/line_h.gif" style="height:1px;"></td>
    <td background="images/line_h.gif" style="height:1px;"></td>
  </tr>
  <tr>
    <td style="height: 98px;"></td>
    <td align="left" valign="top">
	  <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100px;">
				<tr>
					<td align="center">
<!-- BOTTOM MENU -->
						<table align="center" cellpadding="0" cellspacing="0">
							<tr>
								<td style="width:20px;"></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td style="width:20px;"></td>
							</tr>
					  </table>
<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
					</td>
				</tr>
			</table>
	</td>
    <td></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="asubmenu" style="padding-left: 5px; width: 100%;">
<span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
<td><img src="images/av234_28.gif" alt="" width="8" height="7" border="0"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="asubmenu" style="padding-left: 5px; width: 100%;">
<a href="{@HREF}" class="asubmenu"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
<td><img src="images/av234_28.gif" alt="" width="8" height="7" border="0"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr><td colspan="2" height="20"><div style="height:1px; background-color: #B4B4B4; background-image: url('images/av234_33.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		<td style="width:5px;"></td>
        <td class="abmenu"><span class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <xsl:otherwise>
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td><img src="images/av234_36.gif" style="margin: 0px 5px 0px 5px;"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
