﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/bg01.gif" class="main-bg" style="width: 100%; height: 100%;">
  <tr>
    <td width="40" align="left" valign="top"><img src="images/space.gif" width="40" height="10"/></td>
    <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="58" align="center" background="images/menu_bg.gif"><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr align="center">
            <xsl:call-template name="TOP-MENU"/>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td><img src="images/space.gif" width="700" height="20"/></td>
      </tr>
      <tr>
        <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="194" align="left" valign="top" background="images/header_bg01.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;">
						<table width="300"  border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="120" align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                          </table></td>
                        <td width="261" style="background-image: url(images/header01.jpg);background-repeat: no-repeat;background-position: right top;">
						<table width="100%" height="194"  border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                                </tr>
                       </table></td></tr>
                  </table></td>
                </tr>
                <tr>
                  <td width="100%" height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="23"><img src="images/txt_01.gif" width="23" height="19"/></td>
                        <td background="images/txt_02.gif"><div align="right"><img src="images/txt_03.gif" width="259" height="19"/></div></td>
                        <td width="19"><img src="images/txt_04.gif" width="18" height="19"/></td>
                      </tr>
                      <tr>
                        <td background="images/txt_bg1.gif"></td>
                        <td width="100%" height="100%" bgcolor="#FFFFFF"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
                            <tr>
                              <td width="100%" height="100%" valign="top" class="pageContent" style="padding: 25px;"><!-- CONTENT -->
                                  <table cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                      <td class="text-header" style="padding-top:3px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                      <td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                                    </tr>
                                  </table>
                                  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td align="left" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>                                 <!-- END CONTENT -->
                              </td>
                            </tr>
                        </table></td>
                        <td background="images/txt_bg2.gif"></td>
                      </tr>
                      <tr>
                        <td><img src="images/txt_05.gif" width="23" height="19"/></td>
                        <td background="images/txt_06.gif"></td>
                        <td><img src="images/txt_07.gif" width="18" height="19"/></td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
            <td width="208" valign="top"><table width="208"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td><img src="images/header02.jpg" width="208" height="194"/></td>
                </tr>
                <tr>
                  <td><table width="208"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td colspan="2"><img src="images/sub_bg01.gif" width="208" height="19"/></td>
                      </tr>
                      <tr>
                        <td width="3"></td>
                        <td width="207" bgcolor="#FFFFFF"><table width="141"  border="0" align="center" cellpadding="0" cellspacing="0">
                             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                        </table></td>
                      </tr>
                      <tr>
                        <td colspan="2"><img src="images/sub_bg02.gif" width="208" height="16"/></td>
                      </tr>
                      <tr> </tr>
                  </table></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td align="center"><img src="images/space.gif" width="700" height="15"/></td>
      </tr>
      <tr>
        <td align="center"><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr align="center">
            <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td height="30" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
    <td width="40" align="left" valign="top"><img src="images/space.gif" width="40" height="10"/></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
	<td height="20"><img src="images/sub_button.gif" width="6" height="5" hspace="4"/></td>
<td><span class="asubmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
	<td height="20"><img src="images/sub_button.gif" width="6" height="5" hspace="4"/></td>
<td>
<a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2"><img src="images/subline.gif" width="141" height="16"/></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td align="center"><img src="images/footer.gif" alt="" width="2" height="11" hspace="10"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
