<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td class="icon"><img src="images/bullet.gif" alt=""/></td>
<td class="menutable" >
<a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
<td width="1" style="width:1px;background-image: url('images/menu_line.gif');background-repeat: repeat-y;background-position: middle;"><div style="height:1px;width:1px;"></div></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td class="icon"><img src="images/bullet.gif" alt=""/></td>
<td class="menutable" >
<span class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
<td width="1" style="width:1px;background-image: url('images/menu_line.gif');background-repeat: repeat-y;background-position: middle;"><div style="height:1px;width:1px;"></div></td>
           </xsl:when>
            <xsl:otherwise>
<td class="icon"><img src="images/bullet.gif" alt=""/></td>
<td class="menutable" >
<a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
<td width="1" style="width:1px;background-image: url('images/menu_line.gif');background-repeat: repeat-y;background-position: middle;"><div style="height:1px;width:1px;"></div></td>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
